Convert CellProfiler 3.1.9 pipeline to CellProfiler 3.1.5

Hello @bcimini @agoodman @VolkerH

We have a pipeline that we created with CP3.1.9 but we would need to run it in CP3.1.5, because that’s the most recent one for which we have a linux cluster installation.
I tried converting it but did not manage. I changed the RelateObjects modules and it looked fine, but when in ExportToSpreadsheet I tried to select measurements we got this error message:

image

Is there a way to fix this?

191020_Pipeline.cpproj (1.2 MB)

We don’t guarantee backwards compatibility, so I’m surprised this worked as well as it did!

So I fixed your RelateObjects issues by just deleting and re-configuring those modules, but that’s actually a totally separate bug related to your IDSecondary settings- see https://github.com/CellProfiler/CellProfiler/issues/3379 . You either need to not filter in IDSecondary (filter after the fact with another FilterObjects may perhaps work) or port in that fix.

191020_Pipeline_315.cpproj (1.2 MB)

1 Like